commit: 6652946eb6859d42afece08dc16c1f94317be9d6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 1 06:13:21 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 1 06:31:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6652946e
dev-python/krb5: recythonise for Python 3.11 support
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/krb5/krb5-0.3.0-r1.ebuild | 34 ++++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/dev-python/krb5/krb5-0.3.0-r1.ebuild
b/dev-python/krb5/krb5-0.3.0-r1.ebuild
new file mode 100644
index 000000000000..235f1e541e46
--- /dev/null
+++ b/dev-python/krb5/krb5-0.3.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Kerberos API bindings for Python"
+HOMEPAGE="https://pypi.org/project/krb5/ https://github.com/jborean93/pykrb5"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ virtual/krb5
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? ( dev-python/k5test[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ # Needed for Python 3.11, can drop in next release (after 0.3.0)
+ cd src/krb5 || die
+ rm _*.c || die
+ cythonize -f -3 *.pyx || die
+}